BDU:2022-03170: Уязвимость реализации функции pjmedia_rtcp_fb_parse_rpsi() мультимедийной коммуникационной библиотеки PJSIP, позволяющая нарушителю выполнить произвольный код или вызвать отказ в обслуживании

Описание уязвимости Уязвимость реализации функции pjmedia_rtcp_fb_parse_rpsi() мультимедийной коммуникационной библиотеки PJSIP связана с выходом операции за границы буфера в памяти при обработке входящего пакета RPSI (Reference Picture Selection Indication). Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, выполнить произвольный код или вызвать отказ в обслуживании
Вендор Сообщество свободного программного обеспечения, ООО «Ред Софт», ФССП России, АО "НППКТ"
Наименование ПО Debian GNU/Linux, РЕД ОС (запись в едином реестре российских программ №3751), ОС ТД АИС ФССП России, PJSIP, ОСОН ОСнова Оnyx (запись в едином реестре российских программ №5913)
Версия ПО
  • 9 (Debian GNU/Linux)
  • 10 (Debian GNU/Linux)
  • 11 (Debian GNU/Linux)
  • 7.3 (РЕД ОС)
  • ИК6 (ОС ТД АИС ФССП России)
  • до 2.12 включительно (PJSIP)
  • до 2.6 (ОСОН ОСнова Оnyx)
Тип ПО Операционная система, Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Тип ошибки Чтение за границами буфера, Запись за границами буфера
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 06.04.2022
Базовый вектор уязвимости
Уровень опасности уязвимости Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для PJSIP:
https://github.com/pjsip/pjproject/commit/11559e49e65bdf00922ad5ae28913ec6a198d508
https://www.pjsip.org/
https://github.com/pjsip/pjproject

Для Debian:
https://security-tracker.debian.org/tracker/CVE-2022-24786

Для РЕД ОС:
http://repo.red-soft.ru/redos/7.3c/x86_64/updates/

Для ОС ТД АИС ФССП России:
https://goslinux.fssp.gov.ru/2726972/

Для ОСОН ОСнова Оnyx:
Обновление программного обеспечения asterisk до версии 1:18.14.0~dfsg+~cs6.12.40431414-1
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данная уязвимость затрагивает приложения только в 32-разрядных системах
Последние изменения